> ## Documentation Index
> Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Chatbot Appearance

> Update appearance of the chatbot



## OpenAPI

````yaml patch /v0/chatbots/{chatbotId}/appearance
openapi: 3.0.0
info:
  title: SiteGPT API Collection
  description: >-
    This collection contains the documentation of all the API endpoints.

    ## Getting started guide

    To start using the SiteGPT APIs, you need to 

    - You must use a valid API Key to send requests to the API endpoints. You
    can get your API key from SiteGPT's [billing
    dashboard](https://sitegpt.ai/billing). If you don't see it there, contact
    admin to generate one for you.

    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        
    ## Authentication

    SiteGPT uses API keys for authentication. You can generate a SiteGPT API key
    in the [billing dashboard](https://sitegpt.ai/billing).


    You must include an API key in each request to the Postman API with the
    Authorization request header.


    Header Name : Authorization


    Header Value : Bearer {{your-api-key}}


    ### Authentication error response

    If an API key is missing, malformed, or invalid, you will receive an HTTP
    401 Unauthorized response code.


    ## Need some help?

    In case you have any questions, feel free to contact us.
  license:
    name: SiteGPT Terms and Conditions
    url: https://sitegpt.ai/terms
  version: 1.0.0
  contact:
    name: Bhanu Teja P
    email: bhanu@sitegpt.ai
    url: mailto:bhanu@sitegpt.ai
servers:
  - url: https://sitegpt.ai/api
security:
  - bearerAuth: []
tags:
  - name: Chatbot
    x-displayName: Chatbots
    description: >-
      APIs to manage different chatbots. APIs include `Fetching All Chatbots`,
      `Creating New Chatbot`, Fetching One Chatbot`, `Updating Chatbot
      Appearance` and `Deleting Chatbot`.
    x-mint:
      icon: message-bot
  - name: Chatbot Appearance
    x-displayName: Appearance
    description: APIs to update appearance of the chatbot.
    x-mint:
      icon: palette
  - name: Chatbot Custom Content
    x-displayName: Custom Content
    description: APIs to modify custom content of the chatbot.
    x-mint:
      icon: file-pen
  - name: Chatbot Follow Up Prompts
    x-displayName: Follow-up Prompts
    description: >-
      APIs to manage `Follow up Prompts` of a particular chatbot. APIs include
      `Fetching All Follow up Prompts`, `Adding New Follow up Prompt`, `Fetching
      One Follow up Prompt`, `Updating Follow up Prompt` and `Deleting Follow up
      Prompt`.
    x-mint:
      icon: message-arrow-up
  - name: Chatbot Icons
    x-displayName: Icons
    description: APIs to manage (add/update/delete) icons related to a particular chatbot.
    x-mint:
      icon: icons
  - name: Chatbot Links
    x-displayName: Content & Training
    description: >-
      APIs to fetch internal links of any url and to add certain links to a
      particular chatbot.
    x-mint:
      icon: book-open
  - name: Chatbot Messages
    x-displayName: Messages
    description: >-
      APIs to send a message to a particular thread or start a new conversation
      with in a particular chatbot.
    x-mint:
      icon: messages
  - name: Chatbot Personas
    x-displayName: Personas
    description: APIs to manage personas of the chatbot.
    x-mint:
      icon: user-tie
  - name: Chatbot Prompts
    x-displayName: Instructions
    description: APIs to manage prompts of the chatbot.
    x-mint:
      icon: message-text
  - name: Chatbot Conversation Starters
    x-displayName: Conversation Starters
    description: >-
      APIs to manage `Conversation Starters` of a particular chatbot. APIs
      include `Fetching All Conversation Starters`, `Adding New Conversation
      Starter`, `Fetching One Conversation Starter`, `Updating Conversation
      Starter` and `Deleting Conversation Starter`.
    x-mint:
      icon: bolt
  - name: Chatbot Settings
    x-displayName: Settings
    description: >-
      APIs to update different settings of the chatbot. APIs include `General
      Settings`, `User Data Settings`, `Chat Mode Settings`, `Localization
      Settings` and `Advanced Settings`.
    x-mint:
      icon: gear
  - name: Chatbot Threads
    x-displayName: Threads
    description: >-
      APIs to manage threads related to a particular chatbot. APIs include
      `Fetching All Threads`, `Fetching One Thread` and `Update Thread`.
    x-mint:
      icon: message-lines
  - name: Whitelabel
    x-displayName: Whitelabel (Deprecated)
    description: >-
      APIs to manage whitelabel users. APIs include `Create Whitelabel User` and
      `Update Whitelabel User Quota`.
    x-mint:
      icon: tag
paths:
  /v0/chatbots/{chatbotId}/appearance:
    patch:
      tags:
        - Chatbot Appearance
      summary: Update Chatbot Appearance
      description: Update appearance of the chatbot
      operationId: update-chatbot-appearance
      parameters:
        - name: chatbotId
          description: Id of the chatbot
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: Request Body
              properties:
                title:
                  type: string
                  description: Title of the chatbot
                welcomeMessage:
                  type: string
                  description: The first message that the users will see in the chatbot
                placeholderText:
                  type: string
                  description: >-
                    Placeholder text that users see before they type their
                    question in the chat
                brandColor:
                  type: string
                  description: Primary color of the chatbot
                brandTextColor:
                  type: string
                  description: Primary text color of the chatbot
                fontSize:
                  type: integer
                  description: Font size of the text shown in chatbot (in px)
                height:
                  type: number
                  description: Height of the chatbot
                learnMore:
                  type: string
                  description: Learn More localization setting of the chatbot
                ctaText:
                  type: string
                  description: Call to Action text
                ctaLink:
                  type: string
                  description: Call to Action link
                watermarkText:
                  type: string
                  description: Text to be shown as the watermark in the chatbot
                watermarkLink:
                  type: string
                  description: Url of the watermark to be shown in the chatbot
                autoOpenChatWindowInDesktop:
                  enum:
                    - ALWAYS_OPEN_WITH_DELAY
                    - DONT_OPEN
                  description: Option to handle behaviour auto open chat window in desktop
                autoOpenChatWindowDelayInDesktop:
                  type: integer
                  description: >-
                    Delay after which the chat window will shown in desktop when
                    autoOpenChatWindowInDesktop is set to AUTO_OPEN_WITH_DELAY
                autoOpenChatWindowInMobile:
                  enum:
                    - ALWAYS_OPEN_WITH_DELAY
                    - DONT_OPEN
                  description: Option to handle behaviour auto open chat window in mobile
                autoOpenChatWindowDelayInMobile:
                  type: integer
                  description: >-
                    Delay after which the chat window will shown in mobile when
                    autoOpenChatWindowInMobile is set to AUTO_OPEN_WITH_DELAY
                hideWatermark:
                  type: boolean
                  description: >-
                    Indicates whether the watermark is shown in the chatbot or
                    not
                hideSources:
                  type: boolean
                  description: Indicates whether to display sources or not in the chatbot
                hideTooltip:
                  type: boolean
                  description: Indicates whether to hide tooltip or not in the chatbot
                hideFeedbackButtons:
                  type: boolean
                  description: >-
                    Indicates whether to hide feedback buttons (for each reply)
                    or not in the chatbot
                rtl:
                  type: boolean
                  description: >-
                    Indicates whether to display the text in the chatbot right
                    to left or opposite
                distanceFromBottom:
                  type: integer
                  description: >-
                    Distance from bottom (in px) where the chatbot icon should
                    be shown
                horizontalDistance:
                  type: integer
                  description: >-
                    Horizantal distance (in px) where the chatbot icon should be
                    shown
                iconSize:
                  $ref: '#/components/schemas/ChatbotIconSize'
                iconPosition:
                  $ref: '#/components/schemas/ChatbotIconPosition'
            examples:
              Request Body:
                value:
                  title: My Bot
                  welcomeMessage: Hello! How can I assist you today?
                  placeholderText: Ask me anything...
                  brandColor: '#2563eb'
                  brandTextColor: '#FFFFFF'
                  fontSize: 14
                  height: 85
                  learnMore: Learn more
                  ctaText: ''
                  ctaLink: ''
                  watermarkText: Powered by SiteGPT
                  watermarkLink: https://sitegpt.ai
                  hideWatermark: false
                  hideSources: false
                  hideTooltip: false
                  hideFeedbackButtons: false
                  rtl: false
                  distanceFromBottom: 16
                  horizontalDistance: 16
                  iconSize: SMALL
                  iconPosition: RIGHT
        description: Request body to update appearance of the chatbot
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                type: object
                description: Success Response
                properties:
                  success:
                    type: boolean
                    description: >-
                      Indicates whether this is success response or error
                      response
                  message:
                    type: string
                    description: Overall message regarding the operation performed
                  data:
                    type: object
                    description: Data returned from the server
                    nullable: true
              examples:
                Success:
                  value:
                    success: true
                    message: Updated the chatbot  appearance successfully
                    data: {}
        '400':
          description: Bad Request
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Validation Error:
                  value:
                    success: false
                    message: Failed to update the chatbot appearance
                    data: null
                    error:
                      code: CHATBOT_ID_REQUIRED
                      message: chatbotId is required
                      details: null
                Invalid Request Body:
                  value:
                    success: false
                    message: Failed to update the chatbot appearance
                    data: null
                    error:
                      code: REQUEST_VALIDATION_FAILED
                      message: Request body is not valid
                      details:
                        - path:
                            - title
                          message: Expected string, received number
        '401':
          description: Unauthorized
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authentication Error:
                  value:
                    success: false
                    message: Failed to update the chatbot appearance
                    data: null
                    error:
                      code: API_KEY_NOT_VALID
                      message: Authorization header does not contain valid API key
                      details: null
        '403':
          description: Forbidden
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Forbidden Error:
                  value:
                    success: false
                    message: Failed to update the chatbot appearance
                    data: null
                    error:
                      code: CHATBOT_APPEARANCE_UPDATE_FORBIDDEN
                      message: >-
                        You are not authorized to update appearance of this
                        chatbot
                      details: null
        '405':
          description: Method Not Allowed
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Method Not Allowed Error:
                  value:
                    success: false
                    message: Failed to update the chatbot appearance
                    data: null
                    error:
                      code: REQUEST_METHOD_NOT_ALLOWED
                      message: PATCH request method is not allowed
                      details: null
        '500':
          description: Internal Server Error
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Server Error:
                  value:
                    success: false
                    message: Failed to update the chatbot appearance
                    data: null
                    error:
                      code: CHATBOT_APPEARANCE_UPDATE_FAILED
                      message: Some technical error has occurred !!
                      details: null
components:
  schemas:
    ChatbotIconSize:
      title: Chatbot-Icon-Size
      description: Possible options foe icon size of the chatbot
      enum:
        - SMALL
        - MEDIUM
        - LARGE
        - XL
        - 2XL
        - 3XL
        - 4XL
        - 5XL
    ChatbotIconPosition:
      title: Chatbot-Icon-Position
      description: Possible options for icon position of the chatbot
      enum:
        - LEFT
        - RIGHT
    ErrorResponse:
      type: object
      description: Error Response
      properties:
        success:
          type: boolean
          description: Indicates that this is error response
        message:
          type: string
          description: Overall error message regarding the operation performed
        data:
          type: object
          description: Data returned from the API. This will be `null` for errors
          nullable: true
        error:
          type: object
          description: Object with the error details
          properties:
            code:
              type: string
              description: Based on this error code, you can identify what is the error
            message:
              type: string
              description: The message indicating the reason for the error
            details:
              type: array
              description: More details on the error. Applicable only for Validation errors
              nullable: true
              items:
                type: object
                properties:
                  path:
                    type: array
                    description: >-
                      Specifies the path in request body where error occurred.
                      If the error field is nexted, then this array length will
                      be more than 1.
                    items:
                      oneOf:
                        - type: string
                          description: Specifies the name of the field
                        - type: integer
                          description: Specifies the position in an array
                  message:
                    type: string
                    description: Reason for the error of the path mentioned before
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````